- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# DataSet.cpp File Reference

`#include <osg/Geode>`
`#include <osg/ShapeDrawable>`
`#include <osg/Texture2D>`
`#include <osg/Group>`
`#include <osg/Geometry>`
`#include <osg/MatrixTransform>`
`#include <osg/ClusterCullingCallback>`
`#include <osg/Notify>`
`#include <osgUtil/SmoothingVisitor>`
`#include <osgUtil/TriStripVisitor>`
`#include <osgUtil/Simplifier>`
`#include <osgDB/ReadFile>`
`#include <osgDB/WriteFile>`
`#include <osgDB/FileNameUtils>`
`#include <osgTerrain/DataSet>`
`#include <gdal_priv.h>`
`#include <cpl_string.h>`
`#include <gdalwarper.h>`
`#include <ogr_spatialref.h>`
`#include <sstream>`
`#include <iostream>`

Include dependency graph for DataSet.cpp:

## Enumerations
enum | CoordinateSystemType { GEOCENTRIC, GEOGRAPHIC, PROJECTED, LOCAL }
## Functions
std::ostream & | my_notify (osg::NotifySeverity level)
CoordinateSystemType | getCoordinateSystemType (const osg::CoordinateSystemNode *lhs)
double | getAngularUnits (const osg::CoordinateSystemNode *lhs)
double | getLinearUnits (const osg::CoordinateSystemNode *lhs)
bool | areCoordinateSystemEquivalent (const osg::CoordinateSystemNode *lhs, const osg::CoordinateSystemNode *rhs)
const char * | edgeString (DataSet::DestinationTile::Position position)

## Enumeration Type Documentation

enum CoordinateSystemType

  | Enumerator:
  GEOCENTRIC |
  GEOGRAPHIC |
  PROJECTED |
  LOCAL |

## Function Documentation

bool areCoordinateSystemEquivalent | ( | const osg::CoordinateSystemNode * | lhs,
|  | const osg::CoordinateSystemNode * | rhs
| ) |

const char* edgeString | ( | DataSet::DestinationTile::Position | position | ) |

double getAngularUnits | ( | const osg::CoordinateSystemNode * | lhs | ) |

CoordinateSystemType getCoordinateSystemType | ( | const osg::CoordinateSystemNode * | lhs | ) |

double getLinearUnits | ( | const osg::CoordinateSystemNode * | lhs | ) |

std::ostream& my_notify | ( | osg::NotifySeverity | level | ) | `[inline]`